# Asterisk Project : Asterisk 12 Application_GotoIf

Added by wikibot , edited by wikibot on Aug 29, 2013

# GotoIf()

### Synopsis

Conditional goto.

### Description

This application will set the current context, extension, and priority in the channel structure based on the evaluation of the given condition. After this application completes, the pbx engine will continue dialplan execution at the specified location in the dialplan. The labels are specified with the same syntax as used within the Goto application. If the label chosen by the condition is omitted, no jump is performed, and the execution passes to the next instruction. If the target location is bogus, and does not exist, the execution engine will try to find and execute the code in the `i` (invalid) extension in the current context. If that does not exist, it will try to execute the `h` extension. If neither the `h` nor `i` extensions have been defined, the channel is hung up, and the execution of instructions on the channel is terminated. Remember that this command can set the current context, and if the context specified does not exist, then it will not be able to find any 'h' or 'i' extensions there, and the channel and call will both be terminated!.

### Syntax

    GotoIf(conditionlabeliftrue:labeliffalse)

##### Arguments

- `condition`
- `destination`
  - `labeliftrue` - Continue at labeliftrue if the condition is true. Takes the form similar to Goto() of [[context,]extension,]priority.
  - `labeliffalse` - Continue at labeliffalse if the condition is false. Takes the form similar to Goto() of [[context,]extension,]priority.

### See Also

- Asterisk 12 Application_Goto
- Asterisk 12 Application_GotoIfTime
- Asterisk 12 Application_GosubIf
- Asterisk 12 Application_MacroIf

### Import Version

This documentation was imported from Asterisk Version Unknown